<?php
/**
 * Sample code for GiroCheckout integration of an iDEAL issuer list request
 *
 * @filesource
 * @package Samples
 * @version $Revision: 274 $ / $Date: 2019-09-06 14:04:44 -0400 (Fri, 06 Sep 2019) $
 */
require_once '../../GiroCheckout_SDK/GiroCheckout_SDK.php';

/**
 * Configuration of the merchants identifier, project and password
 * this information can be found in the GiroCockpit's project settings
 */
$merchantID = 0;        // Your merchant ID (Verkaufer-ID)
$projectID = 0;         // Your project ID (Projekt-ID)
$projectPassword = "";  // Your project password

/* init iDEAL issuer list request */
try {
	$request = new GiroCheckout_SDK_Request( GiroCheckout_SDK_TransactionType_helper::TRANS_TYPE_IDEAL_ISSUERLIST );
	$request->setSecret($projectPassword);
	$request->addParam('merchantId',$merchantID)
	    ->addParam('projectId',$projectID)
	    //the hash field is auto generated by the SDK
	    ->submit();
	
	/* if request succeeded get the issuer list */
	if($request->requestHasSucceeded()) {
	  $request->getResponseParam('issuer');   //now you can parse the array
	}
	/* if the request did not succeed, get the responsecode and notify the customer */
	else {
    //$request->getResponseParam('rc');
    //$request->getResponseParam('msg');
    $msg = $request->getResponseMessage($request->getResponseParam('rc'), 'DE');
    echo "Error: $msg";
	}
}
catch (Exception $e) { echo $e->getMessage(); }